---
version: "3.8"

services:
  app:
    image: "nginx:stable"
    configs:
      - source: abra_conf
        target: /etc/nginx/conf.d/abra.conf
      - source: abra_installer
        target: /var/www/abra-installer/installer
    volumes:
      - "public:/var/www/abra-installer"
    networks:
      - proxy
    deploy:
      update_config:
        failure_action: rollback
        order: start-first
      labels:
        - "traefik.enable=true"
        - "traefik.http.services.abra-installer.loadbalancer.server.port=80"
        - "traefik.http.routers.abra-installer.rule=Host(`install.abra.autonomic.zone`,`install.abra.coopcloud.tech`)"
        - "traefik.http.routers.abra-installer.entrypoints=web-secure"
        - "traefik.http.routers.abra-installer.tls.certresolver=production"

configs:
  abra_installer:
    file: installer
  abra_conf:
    file: nginx.conf

networks:
  proxy:
    external: true

volumes:
  public:
